Несколько уязвимостей в PMB

Дата публикации:
18.10.2006
Дата изменения:
11.12.2006
Всего просмотров:
1162
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-5402
CVE-2007-1415
CVE-2007-2258
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PMB 2.x
PMB Services 3.x
Уязвимые версии: PMB 3.0.1 и более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "base_path" в сценариях edit.php, print.php и circ.php, в параметре "include_path" в сценарии cart.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "url_image" в сценарии getimage.php. Удаленный пользователь может с помощью специально сформированного запроса просмотреть содержимое произвольных файлов на системе.

URL производителя: www.sigb.net

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Phpmybibli <=2.1 Multiple Remote File Inclusion Vulnerability

или введите имя

CAPTCHA